from pickle import TRUE


AUTHOR = 'Jeff MacKinnon'
SITENAME = "JeffTheme-Demo"
SITEURL = ''

PATH = 'content'

TIMEZONE = 'America/Glace_Bay'

DEFAULT_LANG = 'en'

# URL Settings
ARCHIVES_SAVE_AS = 'archives.html'
YEAR_ARCHIVE_SAVE_AS = 'archive/{date:%Y}/index.html'
#MONTH_ARCHIVE_SAVE_AS = 'archive/{date:%Y}/{date:%b}/index.html'

# Feed generation is usually not desired when developing
FEED_ALL_ATOM = None
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None
AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None


# Blogroll
LINKS = (   
            ('JMK Engineering Inc.', 'https://jmkengineering.com'),
            ("Jeff's Homepage", 'https://jeffmackinnon.com'),
            ('Pelican', 'https://getpelican.com/'),
            ('Python.org', 'https://www.python.org/'),
            ('Jinja2', 'https://palletsprojects.com/p/jinja/'),
        )

# Social widget
SOCIAL = (  
            ('Mastodon', 'https://bluenoser.me/@Jeff'),
        )

DEFAULT_PAGINATION = 6

# Uncomment following line if you want document-relative URLs when developing
RELATIVE_URLS = True

DISPLAY_CATEGORIES_ON_MENU = True
DELETE_OUTPUT_DIRECTORY = False
STATIC_PATHS = ['images','../content']
SUMMARY_MAX_LENGTH = 20

THEME = '../../jeffs-pelican-theme'
# ####################################################
# JeffTheme variables
# ####################################################

#DIRECT_TEMPLATES = ['posts'] # If you already have a direct templates just add posts.

THEME_COLOUR = 0 # Pick the colour.
    # 0 => default
    # 1 => Blue

SITELICENSE = '<a rel="license" href="http://creativecommons.org/licenses/by-nc-sa/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc-sa/4.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-nc-sa/4.0/">Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License</a>.'
TRACKING = False
IMAGETRACKINGCODE = ''

## Sidebar things
#
#DUCKDUCKGOSEARCHURL = '' # This is the only search that I have working right now. 
BIO_IMAGE = 'jeffmackinnon.jpg' # Make sure that this is in the "images" folder
SHOWCATEGORIES = True
SHOWTAGS = False
CONTACT_PHONE_NUM = '+1 (902) 555-1234'
CONTACT_EMAIL = 'support@thisdoamin.co'
CONTACT_HOME_ADDR = 'Nova Scotia'
#CONTACT_BUSINESS_ADDR =''

# The Social Things
#
SOCIAL_SHARE = True
SOCIAL_TWITTER = 'jeffmackinnon'
SOCIAL_GITHUB = 'Jeffmackinnon'
SOCIAL_LINKEDIN = 'jeffmackinnon'
SOCIAL_FLICKR = 'jeffmackinnon'
SOCIAL_MASTODON = 'https://bluenoser.me/@Jeff'
MICROBLOG = 'microblog'

# Frontpage customization
#
BANNER = True
TAGLINEHEAD = 'The cool headline'
TAGLINESUBHEAD = 'The sub-header'
TAGLINE = 'Now this is going to be super cool, think of all the things we can teach you about. It is going to be amazing'
BANNERLINK = 'services/'
BANNERIMAGE = 'images/20130923124523.jpg'
CORNERSTONE_CONTENT = True # If true add the html you want in include/cornerstone.html
NEWSLETTER = '' # place your newsletter embed information here
INCLUDECATEGORY = True # This includes the Category in the article list
MOREBUTTON = True #This adds the "MORE" to the article list

# This is for https://fediring.net/#table-of-members and is located in the sidebar
#
FEDIRING = False
FEDIRINGRANDOM = True
FEDIRINGURL = ''   # This is needed because the SITEURL includes the https:// and Fediring doesn't want that part.

# Commenting
#
MASTODON_COMMENTS = False
MASTODON_EMBED = '' # This is where you add the Mastodon Embed code, it needs a overhaul so I will link to the repo when I have time to play with it.
TWITTER_COMMENTS = True
# I'm using HashOver for comments, but there are a few different ones that you can use.
COMMENTS = False
COMMENT_EMBED ='' # This is the emdbed code that you need for the comments.

# That's all folks
# ####################################################


# Setting up the pelican-photos plugin "stuff"

#PHOTO_LIBRARY = "A:/Drive/Pictures/publichomepage"
PHOTO_LIBRARY = "/home/jeff/DriveAragorn/Pictures/publichomepage"
PHOTO_GALLERY = (4096, 4096, 90) # This is the maximum length, height and jpg quality
PHOTO_ARTICLE = (1920, 1920, 80) 
PHOTO_SQUARE_THUMB = True
PHOTO_THUMB = (400, 400, 60)
PHOTO_RESIZE_JOBS = -1
PHOTO_WATERMARK = True
PHOTO_WATERMARK_TEXT = 'jeffmackinnon.com'

PHOTO_EXIF_KEEP = True
PHOTO_EXIF_REMOVE_GPS = True # I do want to remove GPS from all the images
PHOTO_EXIF_COPYRIGHT = 'COPYRIGHT'
PHOTO_EXIF_COPYRIGHT_AUTHOR = 'Jeff MacKinnon'

# Sitemap generation settings
SITEMAP = {
    "format": "xml",
    "priorities": {
        "articles": 0.5,
        "indexes": 0.5,
        "pages": 0.5
    },
    "changefreqs": {
        "articles": "monthly",
        "indexes": "daily",
        "pages": "monthly"
    }
}       

IMAGE_PROCESS = {
}

